Summary: The basic required files for the root user's directory.
Name: rootfiles
Version: 5.5
Release: 1tr
License: public domain
Group: Trustix Official
Source: rootfiles-bash_logout
Source1: rootfiles-bash_profile
Source2: rootfiles-bashrc
Source3: rootfiles-cshrc
Source4: rootfiles-tcshrc
Source5: rootfiles-inputrc

BuildRoot: /var/tmp/%{name}-root

%description
The rootfiles package contains basic required files that are placed
in the root user's account.  These files are basically the same
as the files found in the etcskel package, which are placed in regular
users' home directories.

%prep

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
install -m 0700 -d $RPM_BUILD_ROOT/root
install -m 0700 -d $RPM_BUILD_ROOT/root/.gnupg
install -m 0700 -d $RPM_BUILD_ROOT/root/Maildir
install -m 0700 -d $RPM_BUILD_ROOT/root/Maildir/cur
install -m 0700 -d $RPM_BUILD_ROOT/root/Maildir/new
install -m 0700 -d $RPM_BUILD_ROOT/root/Maildir/tmp
install -m 0600 %{SOURCE0} $RPM_BUILD_ROOT/root/.bash_logout
install -m 0600 %{SOURCE1} $RPM_BUILD_ROOT/root/.bash_profile
install -m 0600 %{SOURCE2} $RPM_BUILD_ROOT/root/.bashrc
install -m 0600 %{SOURCE3} $RPM_BUILD_ROOT/root/.cshrc
install -m 0600 %{SOURCE4} $RPM_BUILD_ROOT/root/.tcshrc
install -m 0600 %{SOURCE5} $RPM_BUILD_ROOT/root/.inputrc

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,0700)
%config(noreplace) /root/.[A-z]*
/root/Maildir

%changelog
* Thu Mar  3 2005 Erlend Midttun <erlendbm at trustix dot org> 5.5-1tr
- Add inputrc.  Bug #105.

* Wed Sep 22 2004 Ajith Thampi <ajith at comodo dot com> 5.4-4tr
- Fixed the Maildir in %files

* Tue Dec  9 2003 Erlend Midttun <erlendbm at trustix dot org> 5.4-1tr
- Added Maildir

* Wed Jun 18 2003 Erlend Midttun <erlendbm at trustix dot com> 5.3-10tr
- Big rebuild

* Tue Jul 16 2002 Christian H. Toldnes <christht at trustix dot com> 5.3-9ct
- Rebuild to fit TSL 2.0

* Tue Jul 17 2001 Erlend Midttun <erlendbm at trustix dot com>
- Inc serial number before release.

* Mon Feb 14 2000 Erlend Midttun <erlendbm at trustix dot com>
- Removed .Xdefaults
- Removed "user-friendly" aliases
- Changed prompt

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 5)

* Tue Jan 12 1999 Jeff Johnson <jbj@redhat.com>
- add %clean (#719)

* Tue Dec 29 1998 Cristian Gafton <gafton@redhat.com>
- build for 6.0

* Wed Oct  9 1998 Bill Nottingham <notting@redhat.com>
- remove /root from %files (it's in filesystem)

* Sun Aug 23 1998 Jeff Johnson <jbj@redhat.com>
- portability fix for .cshrc (problem #235)
- change version to be same as release.

* Tue Sep 09 1997 Erik Troan <ewt@redhat.com>
- made a noarch package

* Thu Mar 20 1997 Erik Troan <ewt@redhat.com>
- Removed .Xclients and .Xsession from package, added %pre to back up old
  .Xclients if necessary.
